# $Id: smeserver-phpki.spec,v 1.3 2013/11/18 14:59:07 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Name:		smeserver-phpki
Version:        0.1
Release:        8%{?dist}
Summary:        php integration into SME server

Group:          Applications/System
License:        GPL
URL:            http://phpki.sourceforge.net/
Source:        %{name}-%{version}.tar.gz
Patch0:		smeserver-phpki-0.1-userpanels.patch
Patch1:		smeserver-phpki-0.1-signal_events.patch
Patch2:		smeserver-phpki-0.1-bootstrap-console-save.patch
Patch3:		smeserver-phpki-0.1-disable_auth_for_public.patch
Patch4:		smeserver-phpki-0.1-server-manager_menue.patch
Patch5:		smeserver-phpki-0.1-section_security.patch
Patch6:		smeserver-phpki-0.1-fix_logrotate_event.patch
Patch7:		smeserver-phpki-0.1-protect_by_location.patch
Patch8:		smeserver-phpki-0.1-session_path.patch
Patch9: 	smeserver-phpki-0.1-fix_redirect_with_user_manager_and_sso.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildArch:      noarch

BuildRequires:	e-smith-devtools

Requires:	mod_auth_tkt
Requires:	e-smith-base
Requires:	phpki
Requires:	php-process

%description
PHPki is an Open Source Web application for managing a multi-agency PKI for HIPAA compliance.
With it, you may create and centrally manage X.509 certificates for use with S/MIME enabled
e-mail clients, SSL servers, and VPN applications.
This package contains specific configuration for SME server


%changelog
* Mon Nov 18 2013 Daniel B. <daniel@firewall-services.com> - 0.1-8.sme
- Fix a redirect issue with user-manager and LemonLDAP::NG as SSO

* Fri May 24 2013 JP Pialasse <tests@pialasse.com> - 0.1-7.sme
- added php-process as dependency [SME: 7439]

* Thu Oct 13 2011 Daniel B. <daniel@firewall-services.com> - 0.1-6.sme
- Change session path [SME: 6661]

* Wed Jul 20 2011 Daniel B. <daniel@firewall-services.com> - 0.1-5.sme
- Protect by location (so we can set another location protected by LemonLDAP::NG)

* Mon Feb 23 2009 Daniel B. <daniel@firewall-services.com> [0.1-4]
- Fix logrotate issue (send a sigusr1 signal to httpd-pki)

* Mon Dec 15 2008 Daniel B. <daniel@firewall-services.com> [0.1-3]
- Move server-manager panel to "security" section

* Wed Dec 10 2008 Daniel B. <daniel@firewall-services.com> [0.1-2]
- expand-templates in bootstrap-console-save instead of post-upgrade
- Disable authentication for the public part (so CRL can be updated automatically)
- Change the name of the menue in server-manager to certificate Management

* Tue Dec 02 2008 Daniel B. <daniel@firewall-services.com> [0.1-1]
- Restrict access to /phpki/ca for admin, ask for a valid user for /phpki
- expand-templates on signal events conf-userpanels and domain-modify

* Thu Nov 27 2008 Daniel B. <daniel@firewall-services.com> [0.1-0]
- initial release


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
perl createlinks

%install

%{__mkdir_p} $RPM_BUILD_ROOT/var/service/httpd-pki/supervise
%{__mkdir_p} $RPM_BUILD_ROOT/var/service/httpd-pki/log/supervise
%{__mkdir_p} $RPM_BUILD_ROOT/var/log/httpd-pki
%{__mkdir_p} $RPM_BUILD_ROOT/var/lib/php/pki-session


(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--dir /var/service/httpd-pki 'attr(01755,root,root)' \
	--file /var/service/httpd-pki/run 'attr(0700,root,root)' \
        --dir /var/service/httpd-pki/supervise 'attr(0700,root,root)' \
        --dir /var/service/httpd-pki/log 'attr(0755,root,root)' \
        --file /var/service/httpd-pki/log/run 'attr(0755,root,root)' \
        --dir /var/service/httpd-pki/log/supervise 'attr(0700,root,root)' \
        --dir /var/log/httpd-pki 'attr(0750,smelog,smelog)' \
        --dir /var/lib/php/pki-session 'attr(0770,root,phpki)' \
	> %{name}-%{version}-filelist


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre
#/sbin/e-smith/create-system-user phpki 455 'Phpki User' /opt/phpki /bin/false >& /dev/null || :

%preun

# Disable services, and stop them
if [ $1 = 0 ]; then # Uninstall only, not upgrade
        db configuration setprop httpd-pki status disabled >& /dev/null || :
	sv d /service/httpd-pki
fi

true

